<?php
################################################################################
# @Name : /core/message.php
# @Description : page to send mail
# @Call : /core/auto_mail.php 
# @parameters : $from, $to, $message, $object
# @Author : Flox
# @Create : 21/11/2012
# @Update : 07/05/2020
# @Version : 3.2.1 p2
################################################################################

//init var
$mail_send=1;

//functions
if(file_exists('./core/functions.php')) {require_once('./core/functions.php');}

require_once(__DIR__.'/../components/PHPMailer/src/PHPMailer.php');
require_once(__DIR__.'/../components/PHPMailer/src/SMTP.php');
require_once(__DIR__.'/../components/PHPMailer/src/Exception.php');
$mail = new PHPMailer\PHPMailer\PHPMailer(true);

try {
	$mail->CharSet = 'UTF-8'; //ISO-8859-1 possible if string problems
	if ($rparameters['mail_smtp_class']=='IsSendMail()') {$mail->IsSendMail();} else {$mail->IsSMTP();} 
	if($rparameters['mail_secure']=='SSL') 
	{$mail->Host = "ssl://$rparameters[mail_smtp]";} 
	elseif($rparameters['mail_secure']=='TLS') 
	{$mail->Host = "tls://$rparameters[mail_smtp]";} 
	else 
	{$mail->Host = "$rparameters[mail_smtp]";}
	$mail->SMTPAuth = $rparameters['mail_auth'];
	if ($rparameters['debug']==1) {$mail->SMTPDebug = 4;}
	if ($rparameters['mail_secure']!=0) {$mail->SMTPSecure = $rparameters['mail_secure'];}
	if ($rparameters['mail_port']!=25) {$mail->Port = $rparameters['mail_port'];}
	$mail->Username = "$rparameters[mail_username]";
	if(preg_match('/gs_en/',$rparameters['mail_password'])) {$rparameters['mail_password']=gs_crypt($rparameters['mail_password'], 'd' , $rparameters['server_private_key']);}
	$mail->Password = "$rparameters[mail_password]";
	$mail->IsHTML(true); 
	$mail->Timeout = 30;
	$mail->From = "$from";
	$mail->FromName = "$rparameters[mail_from_name]";
	$mail->XMailer = ' ';

	//multi address case
	if(preg_match('#;#',$to))
	{
		$to=explode(';',$to);
		foreach ($to as &$mailadr) {if($mailadr){$mail->AddAddress("$mailadr");}}
	} else { $mail->AddAddress("$to");}

	if($from){$mail->AddReplyTo($from);}
	$mail->Subject = "$object";
	if ($rparameters['mail_ssl_check']==0)
	{
		$mail->smtpConnect([
		'ssl' => [
			'verify_peer' => false,
			'verify_peer_name' => false,
			'allow_self_signed' => true
			]
		]);
	}
	$mail->Body = "$message";
	$mail->send();
	$mail->SmtpClose();
} catch (Exception $e) {
	echo '
	<div role="alert" class="alert alert-lg bgc-danger-l3 border-0 border-l-4 brc-danger-m1 mt-4 mb-3 pr-3 d-flex">
		<div class="flex-grow-1">
			<i class="fas fa-times mr-1 text-120 text-danger-m1"></i>
			<strong class="text-danger">'.T_('Erreur').': '.T_('Message non envoyé, vérifier les paramètres de votre connecteur SMTP').'.</strong>
			('.$mail->ErrorInfo.')
		</div>
		<button type="button" class="close align-self-start" data-dismiss="alert" aria-label="Close">
			<span aria-hidden="true"><i class="fa fa-times text-80"></i></span>
		</button>
	</div>
	';
	//log
	if($rparameters['log']) 
	{
		$qry=$db->prepare("INSERT INTO `tlogs` (`type`,`date`,`message`,user,ip) VALUES ('error',:date,:message,:user,:ip)");
		$qry->execute(array('date' => date('Y-m-d H:i:s'),'message' => $mail->ErrorInfo,'user' => $_SESSION['user_id'],'ip' => $_SERVER['REMOTE_ADDR']));
	}
	$mail_send=0;
}
?>